JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Expression::Scope::Visitor Class Referenceabstract
juce_core » maths

Used as a callback by the Scope::visitRelativeScope() method. More...

`#include <juce_Expression.h>`

## Public Member Functions
virtual | ~Visitor ()=default
virtual void | visit (const Scope &)=0

## Detailed Description

Used as a callback by the Scope::visitRelativeScope() method.

You should never create an instance of this class yourself, it's used by the expression evaluation code.

## Constructor & Destructor Documentation

## ◆ ~Visitor()

virtual Expression::Scope::Visitor::~Visitor | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ visit()

virtual void Expression::Scope::Visitor::visit | ( | const Scope & |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- juce_Expression.h